Dependabot updated `pip`, `pip-tools`, and `pipenv` support

Dependabot security and version updates now support pip version 21.1.2, pip-tools version 6.1.0, and pipenv version 2021-05-29.

This release also removes support for Python 2, which was officially sunset on Jan 1, 2020.

Learn more about Dependabot security updates.

Learn more about Dependabot version updates.

To see what's next for Dependabot, visit the public roadmap.